OGRE: Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry Struct Reference

`#include <OgreRadixSort.h>`

List of all members.

## Public Member Functions

| SortEntry ()
| SortEntry (TCompValueType k, ContainerIter it)

## Public Attributes

TCompValueType | key
ContainerIter | iter

### template<class TContainer, class TContainerValueType, typename TCompValueType>
struct Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry

## Constructor & Destructor Documentation

template<class TContainer, class TContainerValueType, typename TCompValueType>
Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::SortEntry | ( |  | ) |

| Definition at line 102 of file OgreRadixSort.h.

template<class TContainer, class TContainerValueType, typename TCompValueType>
Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::SortEntry | ( | TCompValueType | k,
|  | ContainerIter | it
| ) |

| Definition at line 103 of file OgreRadixSort.h. References Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::iter, and Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::key.

## Member Data Documentation

template<class TContainer, class TContainerValueType, typename TCompValueType>
ContainerIter Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::iter

| Definition at line 101 of file OgreRadixSort.h. Referenced by Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::SortEntry().

template<class TContainer, class TContainerValueType, typename TCompValueType>
TCompValueType Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::key

| Definition at line 100 of file OgreRadixSort.h. Referenced by Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::SortEntry().

The documentation for this struct was generated from the following file:

- OgreRadixSort.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:56 2008